﻿Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports DustInTheWind.BiorhythmControls.Core
Imports DustInTheWind.BiorhythmControls.Core.BiorhythmModel

Namespace DustInTheWind.BiorhythmControls.Demo
	' Token: 0x02000002 RID: 2
	Public Class BiorhythmShapeEditor
		Inherits UserControl

		' Token: 0x17000001 RID: 1
		' (get) Token: 0x06000001 RID: 1 RVA: 0x00002050 File Offset: 0x00000250
		' (set) Token: 0x06000002 RID: 2 RVA: 0x00002068 File Offset: 0x00000268
		Public Property BiorhythmShape As BiorhythmShape
			Get
				Return Me.biorhythmShape2
			End Get
			Set(value As BiorhythmShape)
				Dim flag As Boolean = Me.biorhythmShape2 IsNot Nothing
				If flag Then
					Me.UnsubscribeFromBiorhythmShapeEvents()
				End If
				Me.biorhythmShape2 = value
				Dim flag2 As Boolean = Me.biorhythmShape2 IsNot Nothing
				If flag2 Then
					Me.SubscribeToBiorhythmShapeEvents()
				End If
				Me.DisplayData()
			End Set
		End Property

		' Token: 0x06000003 RID: 3 RVA: 0x000020AC File Offset: 0x000002AC
		Private Sub SubscribeToBiorhythmShapeEvents()
			AddHandler Me.biorhythmShape2.ChartVisibilityChanged, AddressOf Me.HandleChartVisibilityChanged
			AddHandler Me.biorhythmShape2.ChartColorChanged, AddressOf Me.HandleChartColorChanged
			AddHandler Me.biorhythmShape2.ChartLineStyleChanged, AddressOf Me.HandleChartLineStyleChanged
			AddHandler Me.biorhythmShape2.ChartLineWidthChanged, AddressOf Me.HandleChartLineWidthChanged
			AddHandler Me.biorhythmShape2.BirthdayChanged, AddressOf Me.HandleBirthdayChanged
		End Sub

		' Token: 0x06000004 RID: 4 RVA: 0x00002134 File Offset: 0x00000334
		Private Sub UnsubscribeFromBiorhythmShapeEvents()
			RemoveHandler Me.biorhythmShape2.ChartVisibilityChanged, AddressOf Me.HandleChartVisibilityChanged
			RemoveHandler Me.biorhythmShape2.ChartColorChanged, AddressOf Me.HandleChartColorChanged
			RemoveHandler Me.biorhythmShape2.ChartLineStyleChanged, AddressOf Me.HandleChartLineStyleChanged
			RemoveHandler Me.biorhythmShape2.ChartLineWidthChanged, AddressOf Me.HandleChartLineWidthChanged
			RemoveHandler Me.biorhythmShape2.BirthdayChanged, AddressOf Me.HandleBirthdayChanged
		End Sub

		' Token: 0x06000005 RID: 5 RVA: 0x000021BA File Offset: 0x000003BA
		Private Sub HandleChartVisibilityChanged(sender As Object, eventArgs As EventArgs)
			Me.checkBoxVisibility.Checked = Me.biorhythmShape2.IsVisible
		End Sub

		' Token: 0x06000006 RID: 6 RVA: 0x000021D4 File Offset: 0x000003D4
		Private Sub HandleChartColorChanged(sender As Object, eventArgs As EventArgs)
			Me.labelColor.BackColor = Me.biorhythmShape2.Color
		End Sub

		' Token: 0x06000007 RID: 7 RVA: 0x000021F0 File Offset: 0x000003F0
		Private Sub HandleChartLineStyleChanged(sender As Object, eventArgs As EventArgs)
			Me.comboBoxLineStyle.SelectedItem = Me.biorhythmShape2.LineStyle.ToString()
		End Sub

		' Token: 0x06000008 RID: 8 RVA: 0x00002223 File Offset: 0x00000423
		Private Sub HandleChartLineWidthChanged(sender As Object, eventArgs As EventArgs)
			Me.numericUpDownLineWidth.Value = Me.biorhythmShape2.LineWidth
		End Sub

		' Token: 0x06000009 RID: 9 RVA: 0x00002242 File Offset: 0x00000442
		Private Sub HandleBirthdayChanged(sender As Object, eventArgs As EventArgs)
			Me.dateTimePickerBirthday.Value = Me.biorhythmShape2.Birthday
		End Sub

		' Token: 0x0600000A RID: 10 RVA: 0x0000225C File Offset: 0x0000045C
		Public Sub New()
			Me.InitializeComponent()
			Me.chartLineStyle = [Enum].GetNames(GetType(ChartLineStyle))
			Dim items As ComboBox.ObjectCollection = Me.comboBoxLineStyle.Items
			Dim items2 As Object() = Me.chartLineStyle
			items.AddRange(items2)
		End Sub

		' Token: 0x0600000B RID: 11 RVA: 0x000022B0 File Offset: 0x000004B0
		Private Sub DisplayData()
			Dim flag As Boolean = Me.biorhythmShape2 Is Nothing
			If flag Then
				Me.checkBoxVisibility.Checked = False
				Me.labelColor.BackColor = Color.White
				Me.comboBoxLineStyle.SelectedIndex = -1
				Me.numericUpDownLineWidth.Value = 1D
				Me.dateTimePickerBirthday.Value = DateTime.Now
				Me.checkBoxVisibility.Text = String.Empty
			Else
				Me.checkBoxVisibility.Checked = Me.biorhythmShape2.IsVisible
				Me.labelColor.BackColor = Me.biorhythmShape2.Color
				Me.comboBoxLineStyle.SelectedItem = Me.biorhythmShape2.LineStyle.ToString()
				Me.numericUpDownLineWidth.Value = Me.biorhythmShape2.LineWidth
				Dim flag2 As Boolean = Me.biorhythmShape2.Birthday >= Me.dateTimePickerBirthday.MinDate
				If flag2 Then
					Me.dateTimePickerBirthday.Value = Me.biorhythmShape2.Birthday
				Else
					Me.dateTimePickerBirthday.Value = DateTime.Now
				End If
				Me.checkBoxVisibility.Text = String.Format("{0} [{1}]", Me.biorhythmShape2.Name, Me.biorhythmShape2.Biorhythm.Name)
			End If
		End Sub

		' Token: 0x0600000C RID: 12 RVA: 0x0000241C File Offset: 0x0000061C
		Private Sub checkBoxVisibility_CheckedChanged(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShape2 Is Nothing
			If Not flag Then
				Me.biorhythmShape2.IsVisible = Me.checkBoxVisibility.Checked
			End If
		End Sub

		' Token: 0x0600000D RID: 13 RVA: 0x00002450 File Offset: 0x00000650
		Private Sub labelColor_Click(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShape2 Is Nothing
			If Not flag Then
				Me.colorDialog1.Color = Me.labelColor.BackColor
				Dim flag2 As Boolean = Me.colorDialog1.ShowDialog() = DialogResult.OK
				If flag2 Then
					Me.biorhythmShape2.Color = Me.colorDialog1.Color
					Me.labelColor.BackColor = Me.colorDialog1.Color
				End If
			End If
		End Sub

		' Token: 0x0600000E RID: 14 RVA: 0x000024C8 File Offset: 0x000006C8
		Private Sub comboBoxLineStyle_SelectedIndexChanged(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShape2 Is Nothing
			If Not flag Then
				Me.biorhythmShape2.LineStyle = CType([Enum].Parse(GetType(ChartLineStyle), CStr(Me.comboBoxLineStyle.SelectedItem)), ChartLineStyle)
			End If
		End Sub

		' Token: 0x0600000F RID: 15 RVA: 0x00002518 File Offset: 0x00000718
		Private Sub numericUpDownLineWidth_ValueChanged(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShape2 Is Nothing
			If Not flag Then
				Me.biorhythmShape2.LineWidth = CInt(Me.numericUpDownLineWidth.Value)
			End If
		End Sub

		' Token: 0x06000010 RID: 16 RVA: 0x00002554 File Offset: 0x00000754
		Private Sub dateTimePickerBirthday_ValueChanged(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShape2 Is Nothing
			If Not flag Then
				Me.biorhythmShape2.Birthday = Me.dateTimePickerBirthday.Value
			End If
		End Sub

		' Token: 0x06000011 RID: 17 RVA: 0x00002588 File Offset: 0x00000788
		Protected Overrides Sub Dispose(disposing As Boolean)
			Dim flag As Boolean = disposing AndAlso Me.components IsNot Nothing
			If flag Then
				Me.components.Dispose()
			End If
			MyBase.Dispose(disposing)
		End Sub

		' Token: 0x06000012 RID: 18 RVA: 0x000025C0 File Offset: 0x000007C0
		Private Sub InitializeComponent()
			Me.numericUpDownLineWidth = New NumericUpDown()
			Me.comboBoxLineStyle = New ComboBox()
			Me.labelColor = New Label()
			Me.checkBoxVisibility = New CheckBox()
			Me.tableLayoutPanel1 = New TableLayoutPanel()
			Me.dateTimePickerBirthday = New DateTimePicker()
			Me.colorDialog1 = New ColorDialog()
			CType(Me.numericUpDownLineWidth, ISupportInitialize).BeginInit()
			Me.tableLayoutPanel1.SuspendLayout()
			MyBase.SuspendLayout()
			Me.numericUpDownLineWidth.Anchor = AnchorStyles.Left
			Me.numericUpDownLineWidth.Location = New Point(185, 1)
			Me.numericUpDownLineWidth.Margin = New Padding(3, 1, 3, 1)
			Dim numericUpDown As NumericUpDown = Me.numericUpDownLineWidth
			Dim array As Integer() = New Integer(3) {}
			array(0) = 1
			numericUpDown.Minimum = New Decimal(array)
			Me.numericUpDownLineWidth.Name = "numericUpDownLineWidth"
			Me.numericUpDownLineWidth.Size = New Size(45, 20)
			Me.numericUpDownLineWidth.TabIndex = 16
			Dim numericUpDown2 As NumericUpDown = Me.numericUpDownLineWidth
			Dim array2 As Integer() = New Integer(3) {}
			array2(0) = 1
			numericUpDown2.Value = New Decimal(array2)
			AddHandler Me.numericUpDownLineWidth.ValueChanged, AddressOf Me.numericUpDownLineWidth_ValueChanged
			Me.comboBoxLineStyle.Anchor = AnchorStyles.Left
			Me.comboBoxLineStyle.DropDownStyle = ComboBoxStyle.DropDownList
			Me.comboBoxLineStyle.FlatStyle = FlatStyle.Popup
			Me.comboBoxLineStyle.FormattingEnabled = True
			Me.comboBoxLineStyle.Location = New Point(89, 1)
			Me.comboBoxLineStyle.Margin = New Padding(3, 1, 3, 1)
			Me.comboBoxLineStyle.Name = "comboBoxLineStyle"
			Me.comboBoxLineStyle.Size = New Size(90, 21)
			Me.comboBoxLineStyle.TabIndex = 15
			AddHandler Me.comboBoxLineStyle.SelectedIndexChanged, AddressOf Me.comboBoxLineStyle_SelectedIndexChanged
			Me.labelColor.Anchor = AnchorStyles.Left
			Me.labelColor.BackColor = Color.DarkGray
			Me.labelColor.Location = New Point(66, 3)
			Me.labelColor.Margin = New Padding(3, 1, 3, 1)
			Me.labelColor.Name = "labelColor"
			Me.labelColor.Size = New Size(17, 17)
			Me.labelColor.TabIndex = 14
			AddHandler Me.labelColor.Click, AddressOf Me.labelColor_Click
			Me.checkBoxVisibility.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.checkBoxVisibility.AutoEllipsis = True
			Me.checkBoxVisibility.AutoSize = True
			Me.checkBoxVisibility.Location = New Point(3, 3)
			Me.checkBoxVisibility.Margin = New Padding(3, 1, 3, 1)
			Me.checkBoxVisibility.Name = "checkBoxVisibility"
			Me.checkBoxVisibility.Size = New Size(57, 17)
			Me.checkBoxVisibility.TabIndex = 13
			Me.checkBoxVisibility.Text = "Physic"
			Me.checkBoxVisibility.UseVisualStyleBackColor = True
			AddHandler Me.checkBoxVisibility.CheckedChanged, AddressOf Me.checkBoxVisibility_CheckedChanged
			Me.tableLayoutPanel1.AutoSize = True
			Me.tableLayoutPanel1.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.tableLayoutPanel1.ColumnCount = 5
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle(SizeType.Percent, 100F))
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle())
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle())
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle())
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle())
			Me.tableLayoutPanel1.Controls.Add(Me.dateTimePickerBirthday, 4, 0)
			Me.tableLayoutPanel1.Controls.Add(Me.checkBoxVisibility, 0, 0)
			Me.tableLayoutPanel1.Controls.Add(Me.numericUpDownLineWidth, 3, 0)
			Me.tableLayoutPanel1.Controls.Add(Me.labelColor, 1, 0)
			Me.tableLayoutPanel1.Controls.Add(Me.comboBoxLineStyle, 2, 0)
			Me.tableLayoutPanel1.Dock = DockStyle.Fill
			Me.tableLayoutPanel1.Location = New Point(0, 0)
			Me.tableLayoutPanel1.Margin = New Padding(0)
			Me.tableLayoutPanel1.Name = "tableLayoutPanel1"
			Me.tableLayoutPanel1.RowCount = 1
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle(SizeType.Percent, 100F))
			Me.tableLayoutPanel1.Size = New Size(410, 23)
			Me.tableLayoutPanel1.TabIndex = 17
			Me.dateTimePickerBirthday.Anchor = AnchorStyles.Left
			Me.dateTimePickerBirthday.Location = New Point(236, 1)
			Me.dateTimePickerBirthday.Margin = New Padding(3, 1, 3, 1)
			Me.dateTimePickerBirthday.Name = "dateTimePickerBirthday"
			Me.dateTimePickerBirthday.Size = New Size(171, 20)
			Me.dateTimePickerBirthday.TabIndex = 17
			Me.dateTimePickerBirthday.Value = New DateTime(1980, 6, 13, 0, 0, 0, 0)
			AddHandler Me.dateTimePickerBirthday.ValueChanged, AddressOf Me.dateTimePickerBirthday_ValueChanged
			MyBase.AutoScaleDimensions = New SizeF(6F, 13F)
			MyBase.AutoScaleMode = AutoScaleMode.Font
			Me.AutoSize = True
			MyBase.AutoSizeMode = AutoSizeMode.GrowAndShrink
			MyBase.Controls.Add(Me.tableLayoutPanel1)
			MyBase.Name = "BiorhythmShapeEditor"
			MyBase.Size = New Size(410, 23)
			CType(Me.numericUpDownLineWidth, ISupportInitialize).EndInit()
			Me.tableLayoutPanel1.ResumeLayout(False)
			Me.tableLayoutPanel1.PerformLayout()
			MyBase.ResumeLayout(False)
			MyBase.PerformLayout()
		End Sub

		' Token: 0x04000001 RID: 1
		Private chartLineStyle As String()

		' Token: 0x04000002 RID: 2
		Private biorhythmShape2 As BiorhythmShape

		' Token: 0x04000003 RID: 3
		Private components As IContainer = Nothing

		' Token: 0x04000004 RID: 4
		Private numericUpDownLineWidth As NumericUpDown

		' Token: 0x04000005 RID: 5
		Private comboBoxLineStyle As ComboBox

		' Token: 0x04000006 RID: 6
		Private labelColor As Label

		' Token: 0x04000007 RID: 7
		Private checkBoxVisibility As CheckBox

		' Token: 0x04000008 RID: 8
		Private tableLayoutPanel1 As TableLayoutPanel

		' Token: 0x04000009 RID: 9
		Private dateTimePickerBirthday As DateTimePicker

		' Token: 0x0400000A RID: 10
		Private colorDialog1 As ColorDialog
	End Class
End Namespace
