﻿Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports DustInTheWind.BiorhythmControls.WinForms

Namespace DustInTheWind.BiorhythmControls.Demo
	' Token: 0x02000005 RID: 5
	Public Class DateTimesBox
		Inherits UserControl

		' Token: 0x17000003 RID: 3
		' (get) Token: 0x06000021 RID: 33 RVA: 0x000045B4 File Offset: 0x000027B4
		' (set) Token: 0x06000022 RID: 34 RVA: 0x000045CC File Offset: 0x000027CC
		Public Property BiorhythmView As BiorhythmView
			Get
				Return Me.biorhythmView1
			End Get
			Set(value As BiorhythmView)
				Dim flag As Boolean = Me.biorhythmView1 IsNot Nothing
				If flag Then
					Me.UnsubscribeFromEvents()
					Me.ClearControls()
				End If
				Me.biorhythmView1 = value
				Dim flag2 As Boolean = Me.biorhythmView1 IsNot Nothing
				If flag2 Then
					Me.SubscribeToEvents()
					Me.PopulateControls()
				Else
					Me.ClearControls()
				End If
			End Set
		End Property

		' Token: 0x06000023 RID: 35 RVA: 0x00004626 File Offset: 0x00002826
		Public Sub New()
			Me.InitializeComponent()
		End Sub

		' Token: 0x06000024 RID: 36 RVA: 0x0000463E File Offset: 0x0000283E
		Private Sub SubscribeToEvents()
			AddHandler Me.biorhythmView1.FirstDayChanged, AddressOf Me.HandleFirstDayChanged
			AddHandler Me.biorhythmView1.XDayIndexChanged, AddressOf Me.HandleXDayIndexChanged
		End Sub

		' Token: 0x06000025 RID: 37 RVA: 0x00004671 File Offset: 0x00002871
		Private Sub UnsubscribeFromEvents()
			RemoveHandler Me.biorhythmView1.FirstDayChanged, AddressOf Me.HandleFirstDayChanged
			RemoveHandler Me.biorhythmView1.XDayIndexChanged, AddressOf Me.HandleXDayIndexChanged
		End Sub

		' Token: 0x06000026 RID: 38 RVA: 0x000046A4 File Offset: 0x000028A4
		Private Sub PopulateControls()
			Me.dateTimePickerXDay.Value = Me.biorhythmView1.XDay
			Me.dateTimePickerFirstDay.Value = Me.biorhythmView1.FirstDay
			Me.dateTimePickerLastDay.Value = Me.biorhythmView1.LastDay
		End Sub

		' Token: 0x06000027 RID: 39 RVA: 0x000046F8 File Offset: 0x000028F8
		Private Sub ClearControls()
			Me.dateTimePickerXDay.Value = Me.dateTimePickerXDay.MinDate
			Me.dateTimePickerFirstDay.Value = Me.dateTimePickerFirstDay.MinDate
			Me.dateTimePickerLastDay.Value = Me.dateTimePickerLastDay.MinDate
		End Sub

		' Token: 0x06000028 RID: 40 RVA: 0x0000474B File Offset: 0x0000294B
		Private Sub HandleXDayIndexChanged(sender As Object, eventArgs As EventArgs)
			Me.dateTimePickerXDay.Value = Me.biorhythmView1.XDay
		End Sub

		' Token: 0x06000029 RID: 41 RVA: 0x00004768 File Offset: 0x00002968
		Private Sub HandleFirstDayChanged(sender As Object, e As EventArgs)
			Me.dateTimePickerFirstDay.Value = Me.biorhythmView1.FirstDay
			Me.dateTimePickerXDay.Value = Me.biorhythmView1.XDay
			Me.dateTimePickerLastDay.Value = Me.biorhythmView1.LastDay
		End Sub

		' Token: 0x0600002A RID: 42 RVA: 0x000047BC File Offset: 0x000029BC
		Private Sub dateTimePickerXDay_ValueChanged(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmView1 Is Nothing
			If Not flag Then
				Me.biorhythmView1.XDay = Me.dateTimePickerXDay.Value
			End If
		End Sub

		' Token: 0x0600002B RID: 43 RVA: 0x000047F0 File Offset: 0x000029F0
		Private Sub dateTimePickerFirstDay_ValueChanged(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmView1 Is Nothing
			If Not flag Then
				Me.biorhythmView1.FirstDay = Me.dateTimePickerFirstDay.Value
			End If
		End Sub

		' Token: 0x0600002C RID: 44 RVA: 0x00004824 File Offset: 0x00002A24
		Private Sub dateTimePickerLastDay_ValueChanged(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmView1 Is Nothing
			If Not flag Then
				Me.biorhythmView1.LastDay = Me.dateTimePickerLastDay.Value
			End If
		End Sub

		' Token: 0x0600002D RID: 45 RVA: 0x00004858 File Offset: 0x00002A58
		Protected Overrides Sub Dispose(disposing As Boolean)
			Dim flag As Boolean = disposing AndAlso Me.components IsNot Nothing
			If flag Then
				Me.components.Dispose()
			End If
			MyBase.Dispose(disposing)
		End Sub

		' Token: 0x0600002E RID: 46 RVA: 0x00004890 File Offset: 0x00002A90
		Private Sub InitializeComponent()
			Me.groupBoxDateTimes = New GroupBox()
			Me.tableLayoutPanel2 = New TableLayoutPanel()
			Me.label11 = New Label()
			Me.dateTimePickerXDay = New DateTimePicker()
			Me.label10 = New Label()
			Me.dateTimePickerFirstDay = New DateTimePicker()
			Me.dateTimePickerLastDay = New DateTimePicker()
			Me.label9 = New Label()
			Me.groupBoxDateTimes.SuspendLayout()
			Me.tableLayoutPanel2.SuspendLayout()
			MyBase.SuspendLayout()
			Me.groupBoxDateTimes.Controls.Add(Me.tableLayoutPanel2)
			Me.groupBoxDateTimes.Dock = DockStyle.Fill
			Me.groupBoxDateTimes.Location = New Point(0, 0)
			Me.groupBoxDateTimes.Name = "groupBoxDateTimes"
			Me.groupBoxDateTimes.Size = New Size(255, 101)
			Me.groupBoxDateTimes.TabIndex = 17
			Me.groupBoxDateTimes.TabStop = False
			Me.groupBoxDateTimes.Text = "DateTimes"
			Me.tableLayoutPanel2.AutoSize = True
			Me.tableLayoutPanel2.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.tableLayoutPanel2.ColumnCount = 2
			Me.tableLayoutPanel2.ColumnStyles.Add(New ColumnStyle())
			Me.tableLayoutPanel2.ColumnStyles.Add(New ColumnStyle(SizeType.Percent, 100F))
			Me.tableLayoutPanel2.Controls.Add(Me.label11, 0, 2)
			Me.tableLayoutPanel2.Controls.Add(Me.dateTimePickerXDay, 1, 1)
			Me.tableLayoutPanel2.Controls.Add(Me.label10, 0, 0)
			Me.tableLayoutPanel2.Controls.Add(Me.dateTimePickerFirstDay, 1, 0)
			Me.tableLayoutPanel2.Controls.Add(Me.dateTimePickerLastDay, 1, 2)
			Me.tableLayoutPanel2.Controls.Add(Me.label9, 0, 1)
			Me.tableLayoutPanel2.Dock = DockStyle.Top
			Me.tableLayoutPanel2.Location = New Point(3, 16)
			Me.tableLayoutPanel2.Name = "tableLayoutPanel2"
			Me.tableLayoutPanel2.RowCount = 3
			Me.tableLayoutPanel2.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel2.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel2.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel2.Size = New Size(249, 78)
			Me.tableLayoutPanel2.TabIndex = 4
			Me.label11.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.label11.AutoSize = True
			Me.label11.Location = New Point(3, 58)
			Me.label11.Name = "label11"
			Me.label11.Size = New Size(55, 13)
			Me.label11.TabIndex = 3
			Me.label11.Text = "Last Day:"
			Me.dateTimePickerXDay.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.dateTimePickerXDay.Location = New Point(64, 29)
			Me.dateTimePickerXDay.Name = "dateTimePickerXDay"
			Me.dateTimePickerXDay.Size = New Size(182, 20)
			Me.dateTimePickerXDay.TabIndex = 0
			AddHandler Me.dateTimePickerXDay.ValueChanged, AddressOf Me.dateTimePickerXDay_ValueChanged
			Me.label10.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.label10.AutoSize = True
			Me.label10.Location = New Point(3, 6)
			Me.label10.MinimumSize = New Size(55, 0)
			Me.label10.Name = "label10"
			Me.label10.Size = New Size(55, 13)
			Me.label10.TabIndex = 3
			Me.label10.Text = "First Day:"
			Me.dateTimePickerFirstDay.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.dateTimePickerFirstDay.Location = New Point(64, 3)
			Me.dateTimePickerFirstDay.Name = "dateTimePickerFirstDay"
			Me.dateTimePickerFirstDay.Size = New Size(182, 20)
			Me.dateTimePickerFirstDay.TabIndex = 0
			AddHandler Me.dateTimePickerFirstDay.ValueChanged, AddressOf Me.dateTimePickerFirstDay_ValueChanged
			Me.dateTimePickerLastDay.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.dateTimePickerLastDay.Location = New Point(64, 55)
			Me.dateTimePickerLastDay.Name = "dateTimePickerLastDay"
			Me.dateTimePickerLastDay.Size = New Size(182, 20)
			Me.dateTimePickerLastDay.TabIndex = 0
			AddHandler Me.dateTimePickerLastDay.ValueChanged, AddressOf Me.dateTimePickerLastDay_ValueChanged
			Me.label9.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.label9.AutoSize = True
			Me.label9.Location = New Point(3, 32)
			Me.label9.MinimumSize = New Size(55, 0)
			Me.label9.Name = "label9"
			Me.label9.Size = New Size(55, 13)
			Me.label9.TabIndex = 3
			Me.label9.Text = "X Day:"
			MyBase.AutoScaleDimensions = New SizeF(6F, 13F)
			MyBase.AutoScaleMode = AutoScaleMode.Font
			MyBase.Controls.Add(Me.groupBoxDateTimes)
			MyBase.Name = "DateTimesBox"
			MyBase.Size = New Size(255, 101)
			Me.groupBoxDateTimes.ResumeLayout(False)
			Me.groupBoxDateTimes.PerformLayout()
			Me.tableLayoutPanel2.ResumeLayout(False)
			Me.tableLayoutPanel2.PerformLayout()
			MyBase.ResumeLayout(False)
		End Sub

		' Token: 0x04000038 RID: 56
		Private biorhythmView1 As BiorhythmView

		' Token: 0x04000039 RID: 57
		Private components As IContainer = Nothing

		' Token: 0x0400003A RID: 58
		Private groupBoxDateTimes As GroupBox

		' Token: 0x0400003B RID: 59
		Private tableLayoutPanel2 As TableLayoutPanel

		' Token: 0x0400003C RID: 60
		Private label11 As Label

		' Token: 0x0400003D RID: 61
		Private dateTimePickerXDay As DateTimePicker

		' Token: 0x0400003E RID: 62
		Private label10 As Label

		' Token: 0x0400003F RID: 63
		Private dateTimePickerFirstDay As DateTimePicker

		' Token: 0x04000040 RID: 64
		Private dateTimePickerLastDay As DateTimePicker

		' Token: 0x04000041 RID: 65
		Private label9 As Label
	End Class
End Namespace
