﻿Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports DustInTheWind.BiorhythmControls.Core.BiorhythmModel
Imports DustInTheWind.BiorhythmControls.Core.Biorhythms

Namespace DustInTheWind.BiorhythmControls.Demo
	' Token: 0x02000008 RID: 8
	Public Partial Class FormCreateBiorhythmShape
		Inherits Form

		' Token: 0x0600005E RID: 94 RVA: 0x00005DD5 File Offset: 0x00003FD5
		Public Sub New()
			Me.InitializeComponent()
		End Sub

		' Token: 0x0600005F RID: 95 RVA: 0x00005DF0 File Offset: 0x00003FF0
		Public Function GetBiorhythmShape() As BiorhythmShape
			Dim flag As Boolean = Not Me.wasSaved
			Dim result As BiorhythmShape
			If flag Then
				result = Nothing
			Else
				Dim biorhythm As IBiorhythm = Me.GetBiorhythm()
				result = New BiorhythmShape() With { .Name = Me.textBoxName.Text, .Biorhythm = biorhythm }
			End If
			Return result
		End Function

		' Token: 0x06000060 RID: 96 RVA: 0x00005E3C File Offset: 0x0000403C
		Private Function GetBiorhythm() As IBiorhythm
			Dim flag As Boolean = Me.comboBoxType.SelectedIndex < 0
			Dim result As IBiorhythm
			If flag Then
				result = Nothing
			Else
				Select Case CType([Enum].Parse(GetType(BiorhythmType), CStr(Me.comboBoxType.SelectedItem)), BiorhythmType)
					Case BiorhythmType.Physical
						result = New PhysicalBiorhythm()
					Case BiorhythmType.Emotional
						result = New EmotionalBiorhythm()
					Case BiorhythmType.Intellectual
						result = New IntellectualBiorhythm()
					Case BiorhythmType.Intuitive
						result = New IntuitiveBiorhythm()
					Case BiorhythmType.Passion
						result = New PassionBiorhythm()
					Case BiorhythmType.Mastery
						result = New MasteryBiorhythm()
					Case BiorhythmType.Wisdom
						result = New WisdomBiorhythm()
					Case BiorhythmType.Perception
						result = New PerceptionBiorhythm()
					Case BiorhythmType.Psychic
						result = New PsychicBiorhythm()
					Case BiorhythmType.Success
						result = New SuccessBiorhythm()
					Case BiorhythmType.Esthetic
						result = New EstheticBiorhythm()
					Case BiorhythmType.SelfAwareness
						result = New SelfAwarenessBiorhythm()
					Case BiorhythmType.Spiritual
						result = New SpiritualBiorhythm()
					Case Else
						result = Nothing
				End Select
			End If
			Return result
		End Function

		' Token: 0x06000061 RID: 97 RVA: 0x00005F37 File Offset: 0x00004137
		Private Sub buttonOk_Click(sender As Object, e As EventArgs)
			Me.wasSaved = True
		End Sub

		' Token: 0x06000062 RID: 98 RVA: 0x00005F44 File Offset: 0x00004144
		Private Sub FormCreateBiorhythmShape_Load(sender As Object, e As EventArgs)
			Dim items As String() = [Enum].GetNames(GetType(BiorhythmType))
			Dim items2 As ComboBox.ObjectCollection = Me.comboBoxType.Items
			Dim items3 As Object() = items
			items2.AddRange(items3)
			Me.comboBoxType.SelectedIndex = 0
		End Sub

		' Token: 0x04000049 RID: 73
		Private wasSaved As Boolean
	End Class
End Namespace
