﻿Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Drawing.Printing
Imports System.Reflection
Imports System.Windows.Forms
Imports DustInTheWind.BiorhythmControls.Core
Imports DustInTheWind.BiorhythmControls.Core.BiorhythmModel
Imports DustInTheWind.BiorhythmControls.WinForms

Namespace DustInTheWind.BiorhythmControls.Demo
	' Token: 0x0200000A RID: 10
	Public Partial Class FormDemo
		Inherits Form

		' Token: 0x0600006C RID: 108 RVA: 0x000067D4 File Offset: 0x000049D4
		Public Sub New()
			Me.InitializeComponent()
			Me.tabControl1.SelectedIndex = 1
			Me.biorhythmView1.XDay = DateTime.Now
			Me.dateTimesBox1.BiorhythmView = Me.biorhythmView1
			Me.eventsTriggeredBox1.BiorhythmView = Me.biorhythmView1
			Me.miscelaneousBox1.BiorhythmView = Me.biorhythmView1
		End Sub

		' Token: 0x0600006D RID: 109 RVA: 0x0000685E File Offset: 0x00004A5E
		Private Sub buttonAddBiorhythm_Click(sender As Object, e As EventArgs)
			Me.CreateBiorhythm()
		End Sub

		' Token: 0x0600006E RID: 110 RVA: 0x00006868 File Offset: 0x00004A68
		Private Sub buttonCreateBiorhythmSet_Click(sender As Object, e As EventArgs)
			Me.CreateBiorhythmSet()
		End Sub

		' Token: 0x0600006F RID: 111 RVA: 0x00006874 File Offset: 0x00004A74
		Private Sub CreateBiorhythm()
			Me.tabControl1.SelectTab(Me.tabPageIndividualBiorhythms)
			Dim biorhythmShape As BiorhythmShape = Me.CreateBiorhythmShape()
			Dim flag As Boolean = biorhythmShape Is Nothing
			If Not flag Then
				Me.biorhythmView1.BiorhythmShapes.Add(biorhythmShape)
				Dim biorhythmEditor As BiorhythmShapeEditor = Me.CreateBiorhythmShapeEditor(biorhythmShape)
				Me.panelIndividualBiorhythms.Controls.Add(biorhythmEditor)
				Me.panelIndividualBiorhythms.PerformLayout()
			End If
		End Sub

		' Token: 0x06000070 RID: 112 RVA: 0x000068E0 File Offset: 0x00004AE0
		Private Function CreateBiorhythmShape() As BiorhythmShape
			Dim result As BiorhythmShape
			Using form As FormCreateBiorhythmShape = New FormCreateBiorhythmShape()
				Dim flag As Boolean = form.ShowDialog() <> DialogResult.OK
				If flag Then
					result = Nothing
				Else
					result = form.GetBiorhythmShape()
				End If
			End Using
			Return result
		End Function

		' Token: 0x06000071 RID: 113 RVA: 0x00006930 File Offset: 0x00004B30
		Private Function CreateBiorhythmShapeEditor(biorhythmShape As BiorhythmShape) As BiorhythmShapeEditor
			Return New BiorhythmShapeEditor() With { .AutoSize = True, .AutoSizeMode = AutoSizeMode.GrowAndShrink, .BiorhythmShape = biorhythmShape, .Dock = DockStyle.Top, .Location = New Point(3, 16), .MinimumSize = New Size(420, 27), .Size = New Size(563, 27), .TabIndex = 10 }
		End Function

		' Token: 0x06000072 RID: 114 RVA: 0x000069A8 File Offset: 0x00004BA8
		Private Sub CreateBiorhythmSet()
			Dim shapes As CommonBiorhythmShapes = New CommonBiorhythmShapes()
			shapes.SetBirthday(Me.lastBirthDay)
			Dim shapesView As CommonBiorhythmShapesView = New CommonBiorhythmShapesView()
			shapesView.BiorhythmShapes = shapes
			shapesView.Dock = DockStyle.Fill
			Dim tabPage As TabPage = New TabPage()
			Dim control As Control = tabPage
			Dim str As String = "New Set "
			Dim num As Integer = Me.biorhythmSetCount
			Me.biorhythmSetCount = num + 1
			control.Text = str + num.ToString()
			tabPage.Controls.Add(shapesView)
			Me.tabControl1.TabPages.Add(tabPage)
			Me.biorhythmView1.BiorhythmShapes.AddRange(shapes.GetAll())
			Me.tabControl1.SelectTab(tabPage)
		End Sub

		' Token: 0x06000073 RID: 115 RVA: 0x00006A50 File Offset: 0x00004C50
		Private Sub FormDemo_Shown(sender As Object, e As EventArgs)
			Me.Text = "Biorhythm Demo " + Me.GetBiorhythmControlsVersion().ToString(2)
			Me.CreateBiorhythmSet()
		End Sub

		' Token: 0x06000074 RID: 116 RVA: 0x00006A78 File Offset: 0x00004C78
		Private Function GetBiorhythmControlsVersion() As Version
			Return Assembly.GetAssembly(GetType(BiorhythmView)).GetName().Version
		End Function

		' Token: 0x06000075 RID: 117 RVA: 0x00006AA4 File Offset: 0x00004CA4
		Private Sub buttonInfo_Click(sender As Object, e As EventArgs)
			Dim form As FormInfo = New FormInfo()
			Dim location As Point = Me.buttonInfo.Parent.PointToScreen(Me.buttonInfo.Location)
			location.Y -= form.Height
			form.Location = location
			form.Show(Me)
		End Sub

		' Token: 0x06000076 RID: 118 RVA: 0x00006AFC File Offset: 0x00004CFC
		Private Sub buttonPrint_Click(sender As Object, e As EventArgs)
			Using doc As PrintDocument = New PrintDocument()
				AddHandler doc.PrintPage, AddressOf Me.doc_PrintPage
				Me.printDialog1.Document = doc
				Dim flag As Boolean = Me.printDialog1.ShowDialog() = DialogResult.OK
				If flag Then
					doc.Print()
				End If
			End Using
		End Sub

		' Token: 0x06000077 RID: 119 RVA: 0x00006B68 File Offset: 0x00004D68
		Private Sub buttonPrintPreview_Click(sender As Object, e As EventArgs)
			Using doc As PrintDocument = New PrintDocument()
				AddHandler doc.PrintPage, AddressOf Me.doc_PrintPage
				Me.printPreviewDialog1.Document = doc
				Me.printPreviewDialog1.ShowDialog()
			End Using
		End Sub

		' Token: 0x06000078 RID: 120 RVA: 0x00006BC8 File Offset: 0x00004DC8
		Private Sub doc_PrintPage(sender As Object, e As PrintPageEventArgs)
			Dim g As Graphics = e.Graphics
			Dim rect As RectangleF = Rectangle.Round(e.PageSettings.PrintableArea)
			rect.Height = CSng(Math.Round(CDbl(rect.Width) / 3.0))
			Me.biorhythmView1.Presenter.PaintTo(g, rect)
		End Sub

		' Token: 0x06000079 RID: 121 RVA: 0x00006C28 File Offset: 0x00004E28
		Private Sub buttonAllBiorhythmShapes_Click(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.formAllBiorhythms IsNot Nothing AndAlso Not Me.formAllBiorhythms.IsDisposed
			If flag Then
				Me.formAllBiorhythms.Focus()
				Me.formAllBiorhythms.BringToFront()
				Me.formAllBiorhythms.Activate()
			Else
				Me.formAllBiorhythms = New FormAllBiorhythms()
				Me.formAllBiorhythms.BiorhythmShapes = Me.biorhythmView1.BiorhythmShapes
				Me.formAllBiorhythms.Show(Me)
			End If
		End Sub

		' Token: 0x0600007A RID: 122 RVA: 0x00006CAC File Offset: 0x00004EAC
		Private Sub buttonInfoAllBiorhythmShapes_Click(sender As Object, e As EventArgs)
			Dim form As FormInfoAllBiorhythmShapes = New FormInfoAllBiorhythmShapes()
			Dim parentControl As Control = Me.buttonInfoAllBiorhythmShapes.Parent
			Dim location As Point = parentControl.PointToScreen(Me.buttonInfoAllBiorhythmShapes.Location)
			location.X = location.X + Me.buttonInfoAllBiorhythmShapes.Width - form.Width
			location.Y += Me.buttonInfoAllBiorhythmShapes.Height
			form.Location = location
			form.Show(Me)
		End Sub

		' Token: 0x04000056 RID: 86
		Private biorhythmSetCount As Integer

		' Token: 0x04000057 RID: 87
		Private lastBirthDay As DateTime = New DateTime(1980, 6, 13)

		' Token: 0x04000058 RID: 88
		Private formAllBiorhythms As FormAllBiorhythms
	End Class
End Namespace
