﻿Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Globalization
Imports System.Windows.Forms
Imports DustInTheWind.BiorhythmControls.Core
Imports DustInTheWind.BiorhythmControls.WinForms

Namespace DustInTheWind.BiorhythmControls.Demo
	' Token: 0x0200000D RID: 13
	Public Class MiscelaneousBox
		Inherits UserControl

		' Token: 0x17000007 RID: 7
		' (get) Token: 0x06000088 RID: 136 RVA: 0x00008CE4 File Offset: 0x00006EE4
		' (set) Token: 0x06000089 RID: 137 RVA: 0x00008CFC File Offset: 0x00006EFC
		Public Property BiorhythmView As BiorhythmView
			Get
				Return Me.biorhythmView1
			End Get
			Set(value As BiorhythmView)
				Dim flag As Boolean = Me.biorhythmView1 IsNot Nothing
				If flag Then
					Me.UnsubscribeFromEvents()
					Me.ClearControls()
				End If
				Me.biorhythmView1 = value
				Dim flag2 As Boolean = Me.biorhythmView1 IsNot Nothing
				If flag2 Then
					Me.SubscribeToEvents()
					Me.PopulateControls()
				Else
					Me.ClearControls()
				End If
			End Set
		End Property

		' Token: 0x0600008A RID: 138 RVA: 0x00008D56 File Offset: 0x00006F56
		Public Sub New()
			Me.InitializeComponent()
			Me.daysPositions = [Enum].GetNames(GetType(DayLabelPosition))
		End Sub

		' Token: 0x0600008B RID: 139 RVA: 0x00008D83 File Offset: 0x00006F83
		Private Sub SubscribeToEvents()
			AddHandler Me.biorhythmView1.XDayIndexChanged, AddressOf Me.HandleXDayIndexChanged
		End Sub

		' Token: 0x0600008C RID: 140 RVA: 0x00008D9E File Offset: 0x00006F9E
		Private Sub UnsubscribeFromEvents()
			RemoveHandler Me.biorhythmView1.XDayIndexChanged, AddressOf Me.HandleXDayIndexChanged
		End Sub

		' Token: 0x0600008D RID: 141 RVA: 0x00008DBC File Offset: 0x00006FBC
		Private Sub PopulateControls()
			Me.checkBoxBorder.Checked = Me.biorhythmView1.IsBorderVisible
			Me.labelBorderColor.BackColor = Me.biorhythmView1.BorderColor
			Me.numericUpDownBorderWidth.Value = Me.biorhythmView1.BorderWidth
			Me.labelBackgroudColor.BackColor = Me.biorhythmView1.BackColor
			Me.labelForeColor.BackColor = Me.biorhythmView1.ForeColor
			Me.checkBoxGrid.Checked = Me.biorhythmView1.IsGridVisible
			Me.labelGridColor.BackColor = Me.biorhythmView1.GridColor
			Me.checkBoxSundays.Checked = Me.biorhythmView1.AreSundaysEmphasized
			Me.labelSundaysColor.BackColor = Me.biorhythmView1.SundaysColor
			Me.checkBoxXDay.Checked = Me.biorhythmView1.IsXDayVisible
			Me.labelXDayIndex.Text = Me.biorhythmView1.XDayIndex.ToString()
			Me.labelXDayBorderColor.BackColor = Me.biorhythmView1.XDayBorderColor
			Me.checkBoxDays.Checked = Me.biorhythmView1.AreDayNumbersVisible
			Dim items As ComboBox.ObjectCollection = Me.comboBoxDaysPosition.Items
			Dim items2 As Object() = Me.daysPositions
			items.AddRange(items2)
			Me.comboBoxDaysPosition.SelectedItem = Me.biorhythmView1.DayNumbersPosition.ToString()
			Me.checkBoxWeekDays.Checked = Me.biorhythmView1.AreWeekDaysVisible
			Dim items3 As ComboBox.ObjectCollection = Me.comboBoxWeekDaysPosition.Items
			items2 = Me.daysPositions
			items3.AddRange(items2)
			Me.comboBoxWeekDaysPosition.SelectedItem = Me.biorhythmView1.WeekDaysPosition.ToString()
			Me.numericUpDownTotalDays.Value = Me.biorhythmView1.TotalDays
			Me.labelTodayBackColor.BackColor = Me.biorhythmView1.TodayBackColor
		End Sub

		' Token: 0x0600008E RID: 142 RVA: 0x00008129 File Offset: 0x00006329
		Private Sub ClearControls()
		End Sub

		' Token: 0x0600008F RID: 143 RVA: 0x00008FC8 File Offset: 0x000071C8
		Private Sub HandleXDayIndexChanged(sender As Object, e As EventArgs)
			Me.labelXDayIndex.Text = Me.biorhythmView1.XDayIndex.ToString(CultureInfo.CurrentCulture)
		End Sub

		' Token: 0x06000090 RID: 144 RVA: 0x00008FFA File Offset: 0x000071FA
		Private Sub checkBoxBorder_CheckedChanged(sender As Object, e As EventArgs)
			Me.biorhythmView1.IsBorderVisible = Me.checkBoxBorder.Checked
		End Sub

		' Token: 0x06000091 RID: 145 RVA: 0x00009014 File Offset: 0x00007214
		Private Sub labelBorderColor_Click(sender As Object, e As EventArgs)
			Me.colorDialog1.Color = Me.labelBorderColor.BackColor
			Dim flag As Boolean = Me.colorDialog1.ShowDialog() = DialogResult.OK
			If flag Then
				Me.biorhythmView1.BorderColor = Me.colorDialog1.Color
				Me.labelBorderColor.BackColor = Me.colorDialog1.Color
			End If
		End Sub

		' Token: 0x06000092 RID: 146 RVA: 0x0000907B File Offset: 0x0000727B
		Private Sub numericUpDownBorderWidth_ValueChanged(sender As Object, e As EventArgs)
			Me.biorhythmView1.BorderWidth = CInt(Me.numericUpDownBorderWidth.Value)
		End Sub

		' Token: 0x06000093 RID: 147 RVA: 0x0000909C File Offset: 0x0000729C
		Private Sub buttonFont_Click(sender As Object, e As EventArgs)
			Me.fontDialog1.Font = Me.biorhythmView1.Font
			Dim flag As Boolean = Me.fontDialog1.ShowDialog() = DialogResult.OK
			If flag Then
				Me.biorhythmView1.Font = Me.fontDialog1.Font
			End If
		End Sub

		' Token: 0x06000094 RID: 148 RVA: 0x000090EC File Offset: 0x000072EC
		Private Sub labelBackgroudColor_Click(sender As Object, e As EventArgs)
			Me.colorDialog1.Color = Me.labelBackgroudColor.BackColor
			Dim flag As Boolean = Me.colorDialog1.ShowDialog() = DialogResult.OK
			If flag Then
				Me.biorhythmView1.BackColor = Me.colorDialog1.Color
				Me.labelBackgroudColor.BackColor = Me.colorDialog1.Color
			End If
		End Sub

		' Token: 0x06000095 RID: 149 RVA: 0x00009154 File Offset: 0x00007354
		Private Sub labelForeColor_Click(sender As Object, e As EventArgs)
			Me.colorDialog1.Color = Me.labelBorderColor.BackColor
			Dim flag As Boolean = Me.colorDialog1.ShowDialog() = DialogResult.OK
			If flag Then
				Me.biorhythmView1.ForeColor = Me.colorDialog1.Color
				Me.labelForeColor.BackColor = Me.colorDialog1.Color
			End If
		End Sub

		' Token: 0x06000096 RID: 150 RVA: 0x000091BB File Offset: 0x000073BB
		Private Sub checkBoxGrid_CheckedChanged(sender As Object, e As EventArgs)
			Me.biorhythmView1.IsGridVisible = Me.checkBoxGrid.Checked
		End Sub

		' Token: 0x06000097 RID: 151 RVA: 0x000091D8 File Offset: 0x000073D8
		Private Sub labelGridColor_Click(sender As Object, e As EventArgs)
			Me.colorDialog1.Color = Me.labelBorderColor.BackColor
			Dim flag As Boolean = Me.colorDialog1.ShowDialog() = DialogResult.OK
			If flag Then
				Me.biorhythmView1.GridColor = Me.colorDialog1.Color
				Me.labelGridColor.BackColor = Me.colorDialog1.Color
			End If
		End Sub

		' Token: 0x06000098 RID: 152 RVA: 0x0000923F File Offset: 0x0000743F
		Private Sub checkBoxSundays_CheckedChanged(sender As Object, e As EventArgs)
			Me.biorhythmView1.AreSundaysEmphasized = Me.checkBoxSundays.Checked
		End Sub

		' Token: 0x06000099 RID: 153 RVA: 0x0000925C File Offset: 0x0000745C
		Private Sub labelSundaysColor_Click(sender As Object, e As EventArgs)
			Me.colorDialog1.Color = Me.labelBorderColor.BackColor
			Dim flag As Boolean = Me.colorDialog1.ShowDialog() = DialogResult.OK
			If flag Then
				Me.biorhythmView1.SundaysColor = Me.colorDialog1.Color
				Me.labelSundaysColor.BackColor = Me.colorDialog1.Color
			End If
		End Sub

		' Token: 0x0600009A RID: 154 RVA: 0x000092C4 File Offset: 0x000074C4
		Private Sub buttonSundaysFont_Click(sender As Object, e As EventArgs)
			Me.fontDialog1.Font = Me.biorhythmView1.SundaysFont
			Dim flag As Boolean = Me.fontDialog1.ShowDialog() = DialogResult.OK
			If flag Then
				Me.biorhythmView1.SundaysFont = Me.fontDialog1.Font
			End If
		End Sub

		' Token: 0x0600009B RID: 155 RVA: 0x00009314 File Offset: 0x00007514
		Private Sub checkBoxXDay_CheckedChanged(sender As Object, e As EventArgs)
			Me.biorhythmView1.IsXDayVisible = Me.checkBoxXDay.Checked
		End Sub

		' Token: 0x0600009C RID: 156 RVA: 0x00009330 File Offset: 0x00007530
		Private Sub buttonXDayIndexUp_Click(sender As Object, e As EventArgs)
			Dim biorhythmView As BiorhythmView = Me.biorhythmView1
			Dim xdayIndex As Integer = biorhythmView.XDayIndex
			biorhythmView.XDayIndex = xdayIndex + 1
		End Sub

		' Token: 0x0600009D RID: 157 RVA: 0x00009354 File Offset: 0x00007554
		Private Sub buttonXDayIndexDown_Click(sender As Object, e As EventArgs)
			Dim biorhythmView As BiorhythmView = Me.biorhythmView1
			Dim xdayIndex As Integer = biorhythmView.XDayIndex
			biorhythmView.XDayIndex = xdayIndex - 1
		End Sub

		' Token: 0x0600009E RID: 158 RVA: 0x00009378 File Offset: 0x00007578
		Private Sub labelXDayBorderColor_Click(sender As Object, e As EventArgs)
			Me.colorDialog1.Color = Me.labelXDayBorderColor.BackColor
			Dim flag As Boolean = Me.colorDialog1.ShowDialog() = DialogResult.OK
			If flag Then
				Me.biorhythmView1.XDayBorderColor = Me.colorDialog1.Color
				Me.labelXDayBorderColor.BackColor = Me.colorDialog1.Color
			End If
		End Sub

		' Token: 0x0600009F RID: 159 RVA: 0x000093DF File Offset: 0x000075DF
		Private Sub checkBoxDays_CheckedChanged(sender As Object, e As EventArgs)
			Me.biorhythmView1.AreDayNumbersVisible = Me.checkBoxDays.Checked
		End Sub

		' Token: 0x060000A0 RID: 160 RVA: 0x000093F9 File Offset: 0x000075F9
		Private Sub comboBoxDaysPosition_SelectedIndexChanged(sender As Object, e As EventArgs)
			Me.biorhythmView1.DayNumbersPosition = CType([Enum].Parse(GetType(DayLabelPosition), CStr(Me.comboBoxDaysPosition.SelectedItem)), DayLabelPosition)
		End Sub

		' Token: 0x060000A1 RID: 161 RVA: 0x0000942C File Offset: 0x0000762C
		Private Sub checkBoxWeekDays_CheckedChanged(sender As Object, e As EventArgs)
			Me.biorhythmView1.AreWeekDaysVisible = Me.checkBoxWeekDays.Checked
		End Sub

		' Token: 0x060000A2 RID: 162 RVA: 0x00009446 File Offset: 0x00007646
		Private Sub comboBoxWeekDaysPosition_SelectedIndexChanged(sender As Object, e As EventArgs)
			Me.biorhythmView1.WeekDaysPosition = CType([Enum].Parse(GetType(DayLabelPosition), CStr(Me.comboBoxWeekDaysPosition.SelectedItem)), DayLabelPosition)
		End Sub

		' Token: 0x060000A3 RID: 163 RVA: 0x00009479 File Offset: 0x00007679
		Private Sub numericUpDownTotalDays_ValueChanged(sender As Object, e As EventArgs)
			Me.biorhythmView1.TotalDays = CInt(Me.numericUpDownTotalDays.Value)
		End Sub

		' Token: 0x060000A4 RID: 164 RVA: 0x00009498 File Offset: 0x00007698
		Private Sub labelTodayColor_Click(sender As Object, e As EventArgs)
			Me.colorDialog1.Color = Me.labelBorderColor.BackColor
			Dim flag As Boolean = Me.colorDialog1.ShowDialog() = DialogResult.OK
			If flag Then
				Me.biorhythmView1.TodayBackColor = Me.colorDialog1.Color
				Me.labelTodayBackColor.BackColor = Me.colorDialog1.Color
			End If
		End Sub

		' Token: 0x060000A5 RID: 165 RVA: 0x00009500 File Offset: 0x00007700
		Protected Overrides Sub Dispose(disposing As Boolean)
			Dim flag As Boolean = disposing AndAlso Me.components IsNot Nothing
			If flag Then
				Me.components.Dispose()
			End If
			MyBase.Dispose(disposing)
		End Sub

		' Token: 0x060000A6 RID: 166 RVA: 0x00009538 File Offset: 0x00007738
		Private Sub InitializeComponent()
			Me.groupBoxMiscelaneous = New GroupBox()
			Me.tableLayoutPanel1 = New TableLayoutPanel()
			Me.buttonFont = New Button()
			Me.comboBoxWeekDaysPosition = New ComboBox()
			Me.comboBoxDaysPosition = New ComboBox()
			Me.numericUpDownTotalDays = New NumericUpDown()
			Me.checkBoxBorder = New CheckBox()
			Me.buttonSundaysFont = New Button()
			Me.label12 = New Label()
			Me.label1 = New Label()
			Me.checkBoxWeekDays = New CheckBox()
			Me.checkBoxXDay = New CheckBox()
			Me.numericUpDownBorderWidth = New NumericUpDown()
			Me.labelTodayBackColor = New Label()
			Me.checkBoxDays = New CheckBox()
			Me.label13 = New Label()
			Me.checkBoxGrid = New CheckBox()
			Me.label2 = New Label()
			Me.checkBoxSundays = New CheckBox()
			Me.labelSundaysColor = New Label()
			Me.labelBorderColor = New Label()
			Me.labelBackgroudColor = New Label()
			Me.labelGridColor = New Label()
			Me.tableLayoutPanel2 = New TableLayoutPanel()
			Me.buttonXDayIndexDown = New Button()
			Me.buttonXDayIndexUp = New Button()
			Me.labelXDayIndex = New Label()
			Me.labelXDayBorderColor = New Label()
			Me.tableLayoutPanel3 = New TableLayoutPanel()
			Me.label14 = New Label()
			Me.labelForeColor = New Label()
			Me.colorDialog1 = New ColorDialog()
			Me.fontDialog1 = New FontDialog()
			Me.groupBoxMiscelaneous.SuspendLayout()
			Me.tableLayoutPanel1.SuspendLayout()
			CType(Me.numericUpDownTotalDays, ISupportInitialize).BeginInit()
			CType(Me.numericUpDownBorderWidth, ISupportInitialize).BeginInit()
			Me.tableLayoutPanel2.SuspendLayout()
			Me.tableLayoutPanel3.SuspendLayout()
			MyBase.SuspendLayout()
			Me.groupBoxMiscelaneous.Controls.Add(Me.tableLayoutPanel1)
			Me.groupBoxMiscelaneous.Dock = DockStyle.Fill
			Me.groupBoxMiscelaneous.Location = New Point(0, 0)
			Me.groupBoxMiscelaneous.Name = "groupBoxMiscelaneous"
			Me.groupBoxMiscelaneous.Size = New Size(288, 345)
			Me.groupBoxMiscelaneous.TabIndex = 16
			Me.groupBoxMiscelaneous.TabStop = False
			Me.groupBoxMiscelaneous.Text = "Miscelaneous"
			Me.tableLayoutPanel1.ColumnCount = 4
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle())
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle())
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle())
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle(SizeType.Percent, 100F))
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle(SizeType.Absolute, 20F))
			Me.tableLayoutPanel1.Controls.Add(Me.checkBoxBorder, 0, 0)
			Me.tableLayoutPanel1.Controls.Add(Me.buttonSundaysFont, 2, 4)
			Me.tableLayoutPanel1.Controls.Add(Me.buttonFont, 1, 1)
			Me.tableLayoutPanel1.Controls.Add(Me.label12, 0, 1)
			Me.tableLayoutPanel1.Controls.Add(Me.label1, 0, 2)
			Me.tableLayoutPanel1.Controls.Add(Me.checkBoxWeekDays, 0, 7)
			Me.tableLayoutPanel1.Controls.Add(Me.checkBoxXDay, 0, 5)
			Me.tableLayoutPanel1.Controls.Add(Me.numericUpDownBorderWidth, 2, 0)
			Me.tableLayoutPanel1.Controls.Add(Me.comboBoxWeekDaysPosition, 1, 7)
			Me.tableLayoutPanel1.Controls.Add(Me.numericUpDownTotalDays, 1, 8)
			Me.tableLayoutPanel1.Controls.Add(Me.labelTodayBackColor, 1, 9)
			Me.tableLayoutPanel1.Controls.Add(Me.checkBoxDays, 0, 6)
			Me.tableLayoutPanel1.Controls.Add(Me.comboBoxDaysPosition, 1, 6)
			Me.tableLayoutPanel1.Controls.Add(Me.label13, 0, 9)
			Me.tableLayoutPanel1.Controls.Add(Me.checkBoxGrid, 0, 3)
			Me.tableLayoutPanel1.Controls.Add(Me.label2, 0, 8)
			Me.tableLayoutPanel1.Controls.Add(Me.checkBoxSundays, 0, 4)
			Me.tableLayoutPanel1.Controls.Add(Me.labelSundaysColor, 1, 4)
			Me.tableLayoutPanel1.Controls.Add(Me.labelBorderColor, 1, 0)
			Me.tableLayoutPanel1.Controls.Add(Me.labelBackgroudColor, 1, 2)
			Me.tableLayoutPanel1.Controls.Add(Me.labelGridColor, 1, 3)
			Me.tableLayoutPanel1.Controls.Add(Me.tableLayoutPanel2, 2, 5)
			Me.tableLayoutPanel1.Controls.Add(Me.labelXDayBorderColor, 1, 5)
			Me.tableLayoutPanel1.Controls.Add(Me.tableLayoutPanel3, 2, 2)
			Me.tableLayoutPanel1.Dock = DockStyle.Fill
			Me.tableLayoutPanel1.Location = New Point(3, 16)
			Me.tableLayoutPanel1.Name = "tableLayoutPanel1"
			Me.tableLayoutPanel1.RowCount = 11
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle())
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle(SizeType.Percent, 100F))
			Me.tableLayoutPanel1.Size = New Size(282, 326)
			Me.tableLayoutPanel1.TabIndex = 16
			Me.buttonFont.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.tableLayoutPanel1.SetColumnSpan(Me.buttonFont, 2)
			Me.buttonFont.Location = New Point(98, 29)
			Me.buttonFont.Name = "buttonFont"
			Me.buttonFont.Size = New Size(137, 23)
			Me.buttonFont.TabIndex = 15
			Me.buttonFont.Text = "Font"
			Me.buttonFont.UseVisualStyleBackColor = True
			AddHandler Me.buttonFont.Click, AddressOf Me.buttonFont_Click
			Me.comboBoxWeekDaysPosition.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.tableLayoutPanel1.SetColumnSpan(Me.comboBoxWeekDaysPosition, 2)
			Me.comboBoxWeekDaysPosition.DropDownStyle = ComboBoxStyle.DropDownList
			Me.comboBoxWeekDaysPosition.FlatStyle = FlatStyle.Popup
			Me.comboBoxWeekDaysPosition.FormattingEnabled = True
			Me.comboBoxWeekDaysPosition.Location = New Point(98, 189)
			Me.comboBoxWeekDaysPosition.Name = "comboBoxWeekDaysPosition"
			Me.comboBoxWeekDaysPosition.Size = New Size(137, 21)
			Me.comboBoxWeekDaysPosition.TabIndex = 11
			AddHandler Me.comboBoxWeekDaysPosition.SelectedIndexChanged, AddressOf Me.comboBoxWeekDaysPosition_SelectedIndexChanged
			Me.comboBoxDaysPosition.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.tableLayoutPanel1.SetColumnSpan(Me.comboBoxDaysPosition, 2)
			Me.comboBoxDaysPosition.DropDownStyle = ComboBoxStyle.DropDownList
			Me.comboBoxDaysPosition.FlatStyle = FlatStyle.Popup
			Me.comboBoxDaysPosition.FormattingEnabled = True
			Me.comboBoxDaysPosition.Location = New Point(98, 162)
			Me.comboBoxDaysPosition.Name = "comboBoxDaysPosition"
			Me.comboBoxDaysPosition.Size = New Size(137, 21)
			Me.comboBoxDaysPosition.TabIndex = 11
			AddHandler Me.comboBoxDaysPosition.SelectedIndexChanged, AddressOf Me.comboBoxDaysPosition_SelectedIndexChanged
			Me.numericUpDownTotalDays.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.tableLayoutPanel1.SetColumnSpan(Me.numericUpDownTotalDays, 2)
			Me.numericUpDownTotalDays.Location = New Point(98, 216)
			Dim numericUpDown As NumericUpDown = Me.numericUpDownTotalDays
			Dim array As Integer() = New Integer(3) {}
			array(0) = 3
			numericUpDown.Minimum = New Decimal(array)
			Me.numericUpDownTotalDays.Name = "numericUpDownTotalDays"
			Me.numericUpDownTotalDays.Size = New Size(137, 20)
			Me.numericUpDownTotalDays.TabIndex = 5
			Dim numericUpDown2 As NumericUpDown = Me.numericUpDownTotalDays
			Dim array2 As Integer() = New Integer(3) {}
			array2(0) = 3
			numericUpDown2.Value = New Decimal(array2)
			AddHandler Me.numericUpDownTotalDays.ValueChanged, AddressOf Me.numericUpDownTotalDays_ValueChanged
			Me.checkBoxBorder.Anchor = AnchorStyles.Left
			Me.checkBoxBorder.AutoSize = True
			Me.checkBoxBorder.Location = New Point(3, 4)
			Me.checkBoxBorder.Name = "checkBoxBorder"
			Me.checkBoxBorder.Size = New Size(57, 17)
			Me.checkBoxBorder.TabIndex = 10
			Me.checkBoxBorder.Text = "Border"
			Me.checkBoxBorder.UseVisualStyleBackColor = True
			AddHandler Me.checkBoxBorder.CheckedChanged, AddressOf Me.checkBoxBorder_CheckedChanged
			Me.buttonSundaysFont.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.buttonSundaysFont.Location = New Point(121, 104)
			Me.buttonSundaysFont.Name = "buttonSundaysFont"
			Me.buttonSundaysFont.Size = New Size(114, 23)
			Me.buttonSundaysFont.TabIndex = 14
			Me.buttonSundaysFont.Text = "Sundays Font"
			Me.buttonSundaysFont.UseVisualStyleBackColor = True
			AddHandler Me.buttonSundaysFont.Click, AddressOf Me.buttonSundaysFont_Click
			Me.label12.Anchor = AnchorStyles.Left
			Me.label12.AutoSize = True
			Me.label12.Location = New Point(3, 34)
			Me.label12.Name = "label12"
			Me.label12.Size = New Size(31, 13)
			Me.label12.TabIndex = 3
			Me.label12.Text = "Font:"
			Me.label1.Anchor = AnchorStyles.Left
			Me.label1.AutoSize = True
			Me.label1.Location = New Point(3, 60)
			Me.label1.Name = "label1"
			Me.label1.Size = New Size(89, 13)
			Me.label1.TabIndex = 3
			Me.label1.Text = "Backgroud Color:"
			Me.checkBoxWeekDays.Anchor = AnchorStyles.Left
			Me.checkBoxWeekDays.AutoSize = True
			Me.checkBoxWeekDays.Location = New Point(3, 191)
			Me.checkBoxWeekDays.Name = "checkBoxWeekDays"
			Me.checkBoxWeekDays.Size = New Size(82, 17)
			Me.checkBoxWeekDays.TabIndex = 10
			Me.checkBoxWeekDays.Text = "Week Days"
			Me.checkBoxWeekDays.UseVisualStyleBackColor = True
			AddHandler Me.checkBoxWeekDays.CheckedChanged, AddressOf Me.checkBoxWeekDays_CheckedChanged
			Me.checkBoxXDay.Anchor = AnchorStyles.Left
			Me.checkBoxXDay.AutoSize = True
			Me.checkBoxXDay.Location = New Point(3, 136)
			Me.checkBoxXDay.Name = "checkBoxXDay"
			Me.checkBoxXDay.Size = New Size(55, 17)
			Me.checkBoxXDay.TabIndex = 12
			Me.checkBoxXDay.Text = "X Day"
			Me.checkBoxXDay.UseVisualStyleBackColor = True
			AddHandler Me.checkBoxXDay.CheckedChanged, AddressOf Me.checkBoxXDay_CheckedChanged
			Me.numericUpDownBorderWidth.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.numericUpDownBorderWidth.Location = New Point(121, 3)
			Dim numericUpDown3 As NumericUpDown = Me.numericUpDownBorderWidth
			Dim array3 As Integer() = New Integer(3) {}
			array3(0) = 1
			numericUpDown3.Minimum = New Decimal(array3)
			Me.numericUpDownBorderWidth.Name = "numericUpDownBorderWidth"
			Me.numericUpDownBorderWidth.Size = New Size(114, 20)
			Me.numericUpDownBorderWidth.TabIndex = 5
			Dim numericUpDown4 As NumericUpDown = Me.numericUpDownBorderWidth
			Dim array4 As Integer() = New Integer(3) {}
			array4(0) = 3
			numericUpDown4.Value = New Decimal(array4)
			AddHandler Me.numericUpDownBorderWidth.ValueChanged, AddressOf Me.numericUpDownBorderWidth_ValueChanged
			Me.labelTodayBackColor.Anchor = AnchorStyles.Left
			Me.labelTodayBackColor.BackColor = Color.DarkGray
			Me.labelTodayBackColor.Location = New Point(98, 242)
			Me.labelTodayBackColor.Margin = New Padding(3)
			Me.labelTodayBackColor.Name = "labelTodayBackColor"
			Me.labelTodayBackColor.Size = New Size(17, 17)
			Me.labelTodayBackColor.TabIndex = 10
			AddHandler Me.labelTodayBackColor.Click, AddressOf Me.labelTodayColor_Click
			Me.checkBoxDays.Anchor = AnchorStyles.Left
			Me.checkBoxDays.AutoSize = True
			Me.checkBoxDays.Location = New Point(3, 164)
			Me.checkBoxDays.Name = "checkBoxDays"
			Me.checkBoxDays.Size = New Size(50, 17)
			Me.checkBoxDays.TabIndex = 10
			Me.checkBoxDays.Text = "Days"
			Me.checkBoxDays.UseVisualStyleBackColor = True
			AddHandler Me.checkBoxDays.CheckedChanged, AddressOf Me.checkBoxDays_CheckedChanged
			Me.label13.Anchor = AnchorStyles.Left
			Me.label13.AutoSize = True
			Me.label13.Location = New Point(3, 244)
			Me.label13.Name = "label13"
			Me.label13.Size = New Size(67, 13)
			Me.label13.TabIndex = 3
			Me.label13.Text = "Today Color:"
			Me.checkBoxGrid.Anchor = AnchorStyles.Left
			Me.checkBoxGrid.AutoSize = True
			Me.checkBoxGrid.Location = New Point(3, 81)
			Me.checkBoxGrid.Name = "checkBoxGrid"
			Me.checkBoxGrid.Size = New Size(45, 17)
			Me.checkBoxGrid.TabIndex = 10
			Me.checkBoxGrid.Text = "Grid"
			Me.checkBoxGrid.UseVisualStyleBackColor = True
			AddHandler Me.checkBoxGrid.CheckedChanged, AddressOf Me.checkBoxGrid_CheckedChanged
			Me.label2.Anchor = AnchorStyles.Left
			Me.label2.AutoSize = True
			Me.label2.Location = New Point(3, 219)
			Me.label2.Name = "label2"
			Me.label2.Size = New Size(84, 13)
			Me.label2.TabIndex = 3
			Me.label2.Text = "Number of days:"
			Me.checkBoxSundays.Anchor = AnchorStyles.Left
			Me.checkBoxSundays.AutoSize = True
			Me.checkBoxSundays.Location = New Point(3, 107)
			Me.checkBoxSundays.Name = "checkBoxSundays"
			Me.checkBoxSundays.Size = New Size(67, 17)
			Me.checkBoxSundays.TabIndex = 10
			Me.checkBoxSundays.Text = "Sundays"
			Me.checkBoxSundays.UseVisualStyleBackColor = True
			AddHandler Me.checkBoxSundays.CheckedChanged, AddressOf Me.checkBoxSundays_CheckedChanged
			Me.labelSundaysColor.Anchor = AnchorStyles.Left
			Me.labelSundaysColor.BackColor = Color.DarkGray
			Me.labelSundaysColor.Location = New Point(98, 107)
			Me.labelSundaysColor.Margin = New Padding(3)
			Me.labelSundaysColor.Name = "labelSundaysColor"
			Me.labelSundaysColor.Size = New Size(17, 17)
			Me.labelSundaysColor.TabIndex = 10
			AddHandler Me.labelSundaysColor.Click, AddressOf Me.labelSundaysColor_Click
			Me.labelBorderColor.Anchor = AnchorStyles.Left
			Me.labelBorderColor.BackColor = Color.DarkGray
			Me.labelBorderColor.Location = New Point(98, 4)
			Me.labelBorderColor.Margin = New Padding(3)
			Me.labelBorderColor.Name = "labelBorderColor"
			Me.labelBorderColor.Size = New Size(17, 17)
			Me.labelBorderColor.TabIndex = 10
			AddHandler Me.labelBorderColor.Click, AddressOf Me.labelBorderColor_Click
			Me.labelBackgroudColor.Anchor = AnchorStyles.Left
			Me.labelBackgroudColor.BackColor = Color.DarkGray
			Me.labelBackgroudColor.Location = New Point(98, 58)
			Me.labelBackgroudColor.Margin = New Padding(3)
			Me.labelBackgroudColor.Name = "labelBackgroudColor"
			Me.labelBackgroudColor.Size = New Size(17, 17)
			Me.labelBackgroudColor.TabIndex = 10
			AddHandler Me.labelBackgroudColor.Click, AddressOf Me.labelBackgroudColor_Click
			Me.labelGridColor.Anchor = AnchorStyles.Left
			Me.labelGridColor.BackColor = Color.DarkGray
			Me.labelGridColor.Location = New Point(98, 81)
			Me.labelGridColor.Margin = New Padding(3)
			Me.labelGridColor.Name = "labelGridColor"
			Me.labelGridColor.Size = New Size(17, 17)
			Me.labelGridColor.TabIndex = 10
			AddHandler Me.labelGridColor.Click, AddressOf Me.labelGridColor_Click
			Me.tableLayoutPanel2.Anchor = (AnchorStyles.Top Or AnchorStyles.Bottom Or AnchorStyles.Left Or AnchorStyles.Right)
			Me.tableLayoutPanel2.AutoSize = True
			Me.tableLayoutPanel2.ColumnCount = 3
			Me.tableLayoutPanel2.ColumnStyles.Add(New ColumnStyle(SizeType.Percent, 33.33333F))
			Me.tableLayoutPanel2.ColumnStyles.Add(New ColumnStyle(SizeType.Percent, 33.33333F))
			Me.tableLayoutPanel2.ColumnStyles.Add(New ColumnStyle(SizeType.Percent, 33.33333F))
			Me.tableLayoutPanel2.Controls.Add(Me.buttonXDayIndexDown, 0, 0)
			Me.tableLayoutPanel2.Controls.Add(Me.buttonXDayIndexUp, 2, 0)
			Me.tableLayoutPanel2.Controls.Add(Me.labelXDayIndex, 1, 0)
			Me.tableLayoutPanel2.Location = New Point(118, 130)
			Me.tableLayoutPanel2.Margin = New Padding(0)
			Me.tableLayoutPanel2.Name = "tableLayoutPanel2"
			Me.tableLayoutPanel2.RowCount = 1
			Me.tableLayoutPanel2.RowStyles.Add(New RowStyle(SizeType.Percent, 100F))
			Me.tableLayoutPanel2.Size = New Size(120, 29)
			Me.tableLayoutPanel2.TabIndex = 16
			Me.buttonXDayIndexDown.Anchor = AnchorStyles.None
			Me.buttonXDayIndexDown.Location = New Point(8, 3)
			Me.buttonXDayIndexDown.Name = "buttonXDayIndexDown"
			Me.buttonXDayIndexDown.Size = New Size(23, 23)
			Me.buttonXDayIndexDown.TabIndex = 2
			Me.buttonXDayIndexDown.Text = "<"
			Me.buttonXDayIndexDown.UseVisualStyleBackColor = True
			AddHandler Me.buttonXDayIndexDown.Click, AddressOf Me.buttonXDayIndexDown_Click
			Me.buttonXDayIndexUp.Anchor = AnchorStyles.None
			Me.buttonXDayIndexUp.Location = New Point(88, 3)
			Me.buttonXDayIndexUp.Name = "buttonXDayIndexUp"
			Me.buttonXDayIndexUp.Size = New Size(23, 23)
			Me.buttonXDayIndexUp.TabIndex = 2
			Me.buttonXDayIndexUp.Text = ">"
			Me.buttonXDayIndexUp.UseVisualStyleBackColor = True
			AddHandler Me.buttonXDayIndexUp.Click, AddressOf Me.buttonXDayIndexUp_Click
			Me.labelXDayIndex.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.labelXDayIndex.Location = New Point(43, 8)
			Me.labelXDayIndex.Name = "labelXDayIndex"
			Me.labelXDayIndex.Size = New Size(34, 13)
			Me.labelXDayIndex.TabIndex = 3
			Me.labelXDayIndex.Text = "0"
			Me.labelXDayIndex.TextAlign = ContentAlignment.MiddleCenter
			Me.labelXDayBorderColor.Anchor = AnchorStyles.Left
			Me.labelXDayBorderColor.BackColor = Color.DarkGray
			Me.labelXDayBorderColor.Location = New Point(98, 136)
			Me.labelXDayBorderColor.Margin = New Padding(3)
			Me.labelXDayBorderColor.Name = "labelXDayBorderColor"
			Me.labelXDayBorderColor.Size = New Size(17, 17)
			Me.labelXDayBorderColor.TabIndex = 10
			AddHandler Me.labelXDayBorderColor.Click, AddressOf Me.labelXDayBorderColor_Click
			Me.tableLayoutPanel3.Anchor = (AnchorStyles.Left Or AnchorStyles.Right)
			Me.tableLayoutPanel3.AutoSize = True
			Me.tableLayoutPanel3.ColumnCount = 2
			Me.tableLayoutPanel3.ColumnStyles.Add(New ColumnStyle(SizeType.Percent, 100F))
			Me.tableLayoutPanel3.ColumnStyles.Add(New ColumnStyle())
			Me.tableLayoutPanel3.Controls.Add(Me.label14, 0, 0)
			Me.tableLayoutPanel3.Controls.Add(Me.labelForeColor, 1, 0)
			Me.tableLayoutPanel3.Location = New Point(118, 55)
			Me.tableLayoutPanel3.Margin = New Padding(0)
			Me.tableLayoutPanel3.Name = "tableLayoutPanel3"
			Me.tableLayoutPanel3.RowCount = 1
			Me.tableLayoutPanel3.RowStyles.Add(New RowStyle(SizeType.Percent, 100F))
			Me.tableLayoutPanel3.Size = New Size(120, 23)
			Me.tableLayoutPanel3.TabIndex = 17
			Me.label14.Anchor = AnchorStyles.Left
			Me.label14.AutoSize = True
			Me.label14.Location = New Point(3, 5)
			Me.label14.Name = "label14"
			Me.label14.Size = New Size(91, 13)
			Me.label14.TabIndex = 3
			Me.label14.Text = "Foreground Color:"
			Me.labelForeColor.Anchor = AnchorStyles.Left
			Me.labelForeColor.BackColor = Color.DarkGray
			Me.labelForeColor.Location = New Point(100, 3)
			Me.labelForeColor.Margin = New Padding(3)
			Me.labelForeColor.Name = "labelForeColor"
			Me.labelForeColor.Size = New Size(17, 17)
			Me.labelForeColor.TabIndex = 10
			AddHandler Me.labelForeColor.Click, AddressOf Me.labelForeColor_Click
			Me.fontDialog1.Color = SystemColors.ControlText
			MyBase.AutoScaleDimensions = New SizeF(6F, 13F)
			MyBase.AutoScaleMode = AutoScaleMode.Font
			MyBase.Controls.Add(Me.groupBoxMiscelaneous)
			MyBase.Name = "MiscelaneousBox"
			MyBase.Size = New Size(288, 345)
			Me.groupBoxMiscelaneous.ResumeLayout(False)
			Me.tableLayoutPanel1.ResumeLayout(False)
			Me.tableLayoutPanel1.PerformLayout()
			CType(Me.numericUpDownTotalDays, ISupportInitialize).EndInit()
			CType(Me.numericUpDownBorderWidth, ISupportInitialize).EndInit()
			Me.tableLayoutPanel2.ResumeLayout(False)
			Me.tableLayoutPanel3.ResumeLayout(False)
			Me.tableLayoutPanel3.PerformLayout()
			MyBase.ResumeLayout(False)
		End Sub

		' Token: 0x04000082 RID: 130
		Private daysPositions As String()

		' Token: 0x04000083 RID: 131
		Private biorhythmView1 As BiorhythmView

		' Token: 0x04000084 RID: 132
		Private components As IContainer = Nothing

		' Token: 0x04000085 RID: 133
		Private groupBoxMiscelaneous As GroupBox

		' Token: 0x04000086 RID: 134
		Private buttonFont As Button

		' Token: 0x04000087 RID: 135
		Private buttonSundaysFont As Button

		' Token: 0x04000088 RID: 136
		Private checkBoxXDay As CheckBox

		' Token: 0x04000089 RID: 137
		Private checkBoxSundays As CheckBox

		' Token: 0x0400008A RID: 138
		Private checkBoxGrid As CheckBox

		' Token: 0x0400008B RID: 139
		Private checkBoxBorder As CheckBox

		' Token: 0x0400008C RID: 140
		Private checkBoxWeekDays As CheckBox

		' Token: 0x0400008D RID: 141
		Private checkBoxDays As CheckBox

		' Token: 0x0400008E RID: 142
		Private buttonXDayIndexUp As Button

		' Token: 0x0400008F RID: 143
		Private buttonXDayIndexDown As Button

		' Token: 0x04000090 RID: 144
		Private label12 As Label

		' Token: 0x04000091 RID: 145
		Private label14 As Label

		' Token: 0x04000092 RID: 146
		Private label1 As Label

		' Token: 0x04000093 RID: 147
		Private label13 As Label

		' Token: 0x04000094 RID: 148
		Private label2 As Label

		' Token: 0x04000095 RID: 149
		Private labelXDayIndex As Label

		' Token: 0x04000096 RID: 150
		Private comboBoxWeekDaysPosition As ComboBox

		' Token: 0x04000097 RID: 151
		Private comboBoxDaysPosition As ComboBox

		' Token: 0x04000098 RID: 152
		Private numericUpDownBorderWidth As NumericUpDown

		' Token: 0x04000099 RID: 153
		Private numericUpDownTotalDays As NumericUpDown

		' Token: 0x0400009A RID: 154
		Private labelXDayBorderColor As Label

		' Token: 0x0400009B RID: 155
		Private labelSundaysColor As Label

		' Token: 0x0400009C RID: 156
		Private labelTodayBackColor As Label

		' Token: 0x0400009D RID: 157
		Private labelForeColor As Label

		' Token: 0x0400009E RID: 158
		Private labelGridColor As Label

		' Token: 0x0400009F RID: 159
		Private labelBackgroudColor As Label

		' Token: 0x040000A0 RID: 160
		Private labelBorderColor As Label

		' Token: 0x040000A1 RID: 161
		Private colorDialog1 As ColorDialog

		' Token: 0x040000A2 RID: 162
		Private fontDialog1 As FontDialog

		' Token: 0x040000A3 RID: 163
		Private tableLayoutPanel1 As TableLayoutPanel

		' Token: 0x040000A4 RID: 164
		Private tableLayoutPanel2 As TableLayoutPanel

		' Token: 0x040000A5 RID: 165
		Private tableLayoutPanel3 As TableLayoutPanel
	End Class
End Namespace
